Package docking.action.builder

# Enum Class AbstractActionBuilder.When

java.lang.Object
java.lang.Enum<AbstractActionBuilder.When>
docking.action.builder.AbstractActionBuilder.When

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractActionBuilder.When>`, `Constable`

Enclosing class:
  `AbstractActionBuilder<T extends DockingActionIf,C extends ActionContext,B extends AbstractActionBuilder<T,C,B>>`

public static enum AbstractActionBuilder.When extends Enum<AbstractActionBuilder.When>
For use with the `AbstractActionBuilder.inWindow(When)` method to specify which windows (main window or secondary windows) a global tool bar or menu action will appear in.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `CONTEXT_MATCHES`
  `MAIN_WINDOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractActionBuilder.When`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractActionBuilder.When[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAIN_WINDOW

    public static final AbstractActionBuilder.When MAIN_WINDOW

  - ### ALWAYS

    public static final AbstractActionBuilder.When ALWAYS

  - ### CONTEXT_MATCHES

    public static final AbstractActionBuilder.When CONTEXT_MATCHES

- ## Method Details

  - ### values

    public static AbstractActionBuilder.When[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractActionBuilder.When valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null